function fv = sample_n_frequencyvector(F1, s, nl, init)
% Sample nl frequency vector from the spectral density caractarize by the
% cumulative F1 and freqency s. 

% Randomly sampling the frequency
rf=sort(interp1(F1{1},s{1},rand(nl,1)),'descend');
% Quasi-randomly oriented vector over the unit-half sphere
rl=VanCorput(nl, init); % Van Corput sequence
% Frequency vector
fv=(rl.*rf);