function Z = SimulationProcess(InversionParameters)

%% Generate nbsim realization. No-conditioning. In 2-D

nx = InversionParameters.nx;
ny = InversionParameters.ny;
nz = InversionParameters.nz;

nbsim = InversionParameters.nbsim;

Z = zeros(nx*ny*nz,nbsim);

for j = 1:nbsim
    InversionParameters.seed = InversionParameters.seed + j;
    Z(:,j) = Field_Generator(InversionParameters);
end